From 6ca56baf8e5819787c128e5ccd741701cb84bfdd Mon Sep 17 00:00:00 2001
From: Laurent Destailleur <eldy@destailleur.fr>
Date: Tue, 18 Aug 2015 20:41:20 +0200
Subject: [PATCH] Compatibility with Perl 5.22

---
 docs/awstats_changelog.txt |  1 +
 wwwroot/cgi-bin/awstats.pl | 12 ++++++------
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/docs/awstats_changelog.txt b/docs/awstats_changelog.txt
index 1fcca7f..1b5e342 100644
--- a/docs/awstats_changelog.txt
+++ b/docs/awstats_changelog.txt
@@ -8,6 +8,7 @@ New features:
   option nboflastupdatelookuptosave on command line.
 - #199 Added geoip6 plugin with support for IPv4 AND IPv6.
 - Work with Amazon AWS log files (using %time5 tag). 
+- Compatibility with Perl 5.22
 
 Fixes:
 - Fixes permission on some .pl scripts.
diff --git a/wwwroot/cgi-bin/awstats.pl b/wwwroot/cgi-bin/awstats.pl
index c9dcee9..eb14fc0 100755
--- a/wwwroot/cgi-bin/awstats.pl
+++ b/wwwroot/cgi-bin/awstats.pl
@@ -9040,12 +9040,12 @@ sub DefinePerlParsingFormat {
 		$LogFormatString =~ s/%>s/%code/g;
 		$LogFormatString =~ s/%b(\s)/%bytesd$1/g;
 		$LogFormatString =~ s/%b$/%bytesd/g;
-		$LogFormatString =~ s/\"%{Referer}i\"/%refererquot/g;
-		$LogFormatString =~ s/\"%{User-Agent}i\"/%uaquot/g;
-		$LogFormatString =~ s/%{mod_gzip_input_size}n/%gzipin/g;
-		$LogFormatString =~ s/%{mod_gzip_output_size}n/%gzipout/g;
-		$LogFormatString =~ s/%{mod_gzip_compression_ratio}n/%gzipratio/g;
-		$LogFormatString =~ s/\(%{ratio}n\)/%deflateratio/g;
+		$LogFormatString =~ s/\"%\{Referer}i\"/%refererquot/g;
+		$LogFormatString =~ s/\"%\{User-Agent}i\"/%uaquot/g;
+		$LogFormatString =~ s/%\{mod_gzip_input_size}n/%gzipin/g;
+		$LogFormatString =~ s/%\{mod_gzip_output_size}n/%gzipout/g;
+		$LogFormatString =~ s/%\{mod_gzip_compression_ratio}n/%gzipratio/g;
+		$LogFormatString =~ s/\(%\{ratio}n\)/%deflateratio/g;
 
 		# Replacement for a IIS and ISA format string
 		$LogFormatString =~ s/cs-uri-query/%query/g;    # Must be before cs-uri
